How to get IdSymbol Uppertext for components which are having attribute

Hi
I have Assembly, components are assigned with attribute “Find Number” as title and values are like 1, 2, 3 etc, and these values of attribute is referenced in balloon (Id Symbol) callout,
When I am reading these balloon callouts with below code, I am getting output like

WRef1*0@FIND NUMBER
WRef2*0@FIND NUMBER
WRef3*0@FIND NUMBER
WRef4*0@FIND NUMBER
WRef5*0@FIND NUMBER
WRef6*0@FIND NUMBER

Expected Output is 1, 2 , 3 etc
How to get actual value(1, 2 etc), can you please help me
Below is code

Option Strict Off
Imports System
Imports System.IO
Imports System.Collections.Generic
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.UI
Imports NXOpen.Annotations
Imports NXOpen.Assemblies

Module NXJournal

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work
Dim displayPart As NXOpen.Part = theSession.Parts.Display
Dim theUI As UI = UI.GetUI()
Dim theUFSession As UFSession = UFSession.GetUFSession()
Dim lw As ListingWindow = theSession.ListingWindow

Sub Main (ByVal args() As String)

For Each tempID As Annotations.IdSymbol In workPart.Annotations.IdSymbols
Dim myIdBuilder As NXOpen.Annotations.IdSymbolBuilder
myIdBuilder = workPart.Annotations.IdSymbols.CreateIdSymbolBuilder(tempID)

If myIdBuilder.Type.ToString = "Circle" Then
lw.writeLine(myIdBuilder.UpperText)

End If

Next
End Sub
End Module

Thanks In Advance

The code in the thread link below will show how to get the "evaluated text" (the text shown in the graphics window) from an internal reference.

http://nxjournaling.com/comment/2349#comment-2349

Thank You, I will check

It Worked, Thank You So much